#include "Tools.h"

#include <cstdio>

void ToAsciiByte(int value, char * output, int byteCount) // BIG ENDIAN out
{
    for(int i = 0 ; i < byteCount ; i++)
    {
        int currentValue = (value>>(i*4))&0x0F;

        if(currentValue < 10)
        {
            currentValue += 0x30;
        }
        else
        {
            currentValue += 0x41 -10;
        }

        output[(byteCount-i)-1] = currentValue;
    }
}

void FromAsciiByte(int * value, char * input, int byteCount) // LITTLE ENDIAN out
{
    *value = 0;
    for(int i = 0 ; i < byteCount ; i++)
    {
        int currentValue = input[(byteCount-i)-1];

        if(currentValue >= 0x41)
        {
            currentValue = ((currentValue-0x41 + 10) << (i*4));
        }
        else
        {
            currentValue = ((currentValue-0x30) << (i*4));
        }

        *value |= currentValue;
    }
}

void error(char * text)
{
    printf("ERROR: %s\n",text);
}
