#include "time.h"

#ifdef __unix__ 

	#include <sys/time.h>

	long getTime(){
		timeval time;
		gettimeofday(&time, NULL);
		return (time.tv_sec * 1000) + (time.tv_usec / 1000);
	}

#elif defined _WIN32 

	#include "windows.h"

	long getTime(){
		SYSTEMTIME time;
		GetSystemTime(&time);
		return (time.wSecond * 1000) + time.wMilliseconds;
	}


#endif